Bug 138230 - buffer overflow when creating archive containing very long filenames.
buffer overflow when creating archive containing very long filenames.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zip (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
public=20041103,impact=low
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 16:22 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 19:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-11-05 16:22:35 EST
A buffer overflow has been found in zip which will lead to a buffer
overflow when a user try to create a zip archive which contains very
long filenames.

See:
http://lists.netsys.com/pipermail/full-disclosure/2004-November/028379.html

attachment 106240 [details] contains the fix for this issue.
Comment 1 Josh Bressers 2004-11-05 16:22:54 EST
This issue should also affect FC3
Comment 2 Josh Bressers 2004-11-06 08:36:14 EST
The patch in attachment 106249 [details] contains a small fix over the previous
patch.
Comment 3 Lon Hohberger 2004-11-08 11:43:52 EST
Indeed, it does affect FC-3

Note You need to log in before you can comment on or make changes to this bug.